BG Development


  Reply to this topicStart new topicStart Poll

> Composer error HTTP/2 404, Composer error HTTP/2 404
Euser
Публикувано на: 18-07-2022, 23:11
Quote Post



Име:
Група: Потребител
Ранг: Новопостъпил

Мнения: 7
Регистриран на: 08.03.22



Здравейте приятели имам инсталиран xampp и composer от exe файлове изтеглени от официалните сайтове. Пробвам се да инсталирам ghostjat/darknet от сайта на https://packagist.org/ с тази команда в git bash: composer require ghostjat/darknet: "*", но ми дава следното:

In CurlDownloader.php line 645:

The "https://packagist.org/providers/*.json" file could not be downloaded (
HTTP/2 404 )

моля за малко помощ какво да направя за да финализирам инсталацията.
Благодаря предварително!
PMEmail Poster
Top
relax4o
Публикувано на: 19-07-2022, 12:52
Quote Post



Име:
Група: Потребител
Ранг: Почетен член

Мнения: 2667
Регистриран на: 04.04.07



Какво е това : "*" след командата? Или задай правилна версия или въобще не добавяй нищо отзад.


--------------------
Бисери :D

QUOTE (oveRLuckEd)
Ползваш някоя нова версия на PHP, която е вече ооп ориентирана и заради това ти я изкарва тази грешка.


QUOTE (nbacool2)
Щом няма input полета, значи няма откъде да се направи SQL инжекция Very Happy
PM
Top
relax4o
Публикувано на: 19-07-2022, 14:10
Quote Post



Име:
Група: Потребител
Ранг: Почетен член

Мнения: 2667
Регистриран на: 04.04.07



QUOTE (relax4o @ 19-07-2022, 12:52)
Какво е това : "*" след командата? Или задай правилна версия или въобще не добавяй нищо отзад.

Забравих да спомена, че след двуеточието не трябва да има разстояние.


--------------------
Бисери :D

QUOTE (oveRLuckEd)
Ползваш някоя нова версия на PHP, която е вече ооп ориентирана и заради това ти я изкарва тази грешка.


QUOTE (nbacool2)
Щом няма input полета, значи няма откъде да се направи SQL инжекция Very Happy
PM
Top
Euser
Публикувано на: 19-07-2022, 17:51
Quote Post



Име:
Група: Потребител
Ранг: Новопостъпил

Мнения: 7
Регистриран на: 08.03.22



QUOTE (relax4o @ 19-07-2022, 12:52)
Какво е това : "*" след командата? Или задай правилна версия или въобще не добавяй нищо отзад.

Звездата след командата най - вероятно съм се заблудил, че като я сложа Composera ще инсталира библиотеката без значение от версията. Защото когато я няма ми дава тази грешка:

In PackageDiscoveryTrait.php line 330:

Could not find a version of package ghostjat/darknet matching your minimum-
stability (stable). Require it with an explicit version constraint allowing
its desired stability.

Търсих информация къде трябва да бутна настройките на composera да инсталира библиотеки без значение дали са stability (stable) или (dev-main), горепосочената библиотека която искам да инсталирам най - вероятно е dev-main, а настройките на composera по подразбиране сигурно са stability (stable), но тъй като с английския сме "приятели" изпитвам сериозни затруднения да се ориентирам как да реша проблема, предвид което моля за помощ от приятел icon_smile.gif
PMEmail Poster
Top
relax4o
Публикувано на: 19-07-2022, 23:17
Quote Post



Име:
Група: Потребител
Ранг: Почетен член

Мнения: 2667
Регистриран на: 04.04.07



Ами просто изискай версията

composer require ghostjat/darknet:dev-main

Понеже не е стабилна версия, композър иска да се подсигури, че знаеш какво правиш.


--------------------
Бисери :D

QUOTE (oveRLuckEd)
Ползваш някоя нова версия на PHP, която е вече ооп ориентирана и заради това ти я изкарва тази грешка.


QUOTE (nbacool2)
Щом няма input полета, значи няма откъде да се направи SQL инжекция Very Happy
PM
Top
Euser
Публикувано на: 20-07-2022, 05:43
Quote Post



Име:
Група: Потребител
Ранг: Новопостъпил

Мнения: 7
Регистриран на: 08.03.22



QUOTE (relax4o @ 19-07-2022, 23:17)
Ами просто изискай версията

composer require ghostjat/darknet:dev-main

Понеже не е стабилна версия, композър иска да се подсигури, че знаеш какво правиш.

Благодаря за помощта с composer require ghostjat/darknet:dev-main се получи.
PMEmail Poster
Top
1 потребители преглеждат тази тема в момента (1 гости, 0 анонимни потребители)
Потребители, преглеждащи темата в момента:

Topic Options Reply to this topicStart new topicStart Poll

 


Copyright © 2003-2019 | BG Development | All Rights Reserved
RSS 2.0